<div id="diet-product-list-wrapper" class="card">
    <h1 class="main-color bold">Search meals</h1>

    <mat-form-field appearance="fill" class="z2h-input no-message-section">
        <input matInput [formControl]="searchControl" placeholder="Search meal">
        <mat-icon matPrefix>search</mat-icon>
    </mat-form-field>

    <mat-radio-group [(ngModel)]="searchType" class="search-type-wrapper">
        <mat-radio-button class="example-radio-button" value="product">
            Meal ingredient
        </mat-radio-button>
        <mat-radio-button class="example-radio-button" value="meal">
            Meal name
        </mat-radio-button>
    </mat-radio-group>

    <ng-container *ngIf="searchType === 'product'">
        <ng-container *ngIf="products$ | async as products">
            <div id="productListCdk" cdkDropList [cdkDropListData]="products" [cdkDropListConnectedTo]="cdkMealListNames" cdkDropListSortingDisabled
                class="product-list-wrapper" [class.empty-result-list]="products?.length === 0">
                <z2h-product-card *ngFor="let product of products" [product]="product" [cdkDragData]="product" cdkDrag [fullDetails]="true">
                    <div class="product-placeholder" *cdkDragPlaceholder></div>
                </z2h-product-card>

                <div *ngIf="products?.length === 0" class="empty-result">
                    No se han encontrado resultados
                </div>
            </div>

        </ng-container>
    </ng-container>
    <div *ngIf="searchType === 'meal'" class="meal-list-wrapper">
        <!-- <z2h-product-card *ngFor="let group of groups$ | async" [group]="group"></z2h-product-card> -->
    </div>

</div>